Bug 1431484 - openstack-ironic-inspector: /var/log/ironic-inspector is world readable
Summary: openstack-ironic-inspector: /var/log/ironic-inspector is world readable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ironic-inspector
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 11.0 (Ocata)
Assignee: Dmitry Tantsur
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-13 01:10 UTC by Summer Long
Modified: 2017-05-17 20:06 UTC (History)
16 users (show)

Fixed In Version: openstack-ironic-inspector-5.0.0-2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1431483
: 1431485 (view as bug list)
Environment:
Last Closed: 2017-05-17 20:06:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC

Description Summer Long 2017-03-13 01:10:10 UTC
Description of problem:
The directory /var/log/ironic-inspector is world readable and contains log files that are readable, which can result in the exposure of sensitive information. The 'other readable/execute' bits need to be removed from the /var/log/ironic directory.

Because no sensitive data was found in the files, this is being raised as a hardening bug, and not a flaw.

Version-Release number of selected component (if applicable):
openstack-ironic-inspector-5.0.1-0.20170214181727.babc2b6.el7ost

Comment 1 Dmitry Tantsur 2017-03-13 09:28:15 UTC
RDO master patch: https://review.rdoproject.org/r/#/c/5786/

Comment 2 Dmitry Tantsur 2017-03-13 12:33:24 UTC
Fix merged in RDO: https://review.rdoproject.org/r/#/c/5792/

Comment 4 Alexander Chuzhoy 2017-03-20 14:27:07 UTC
verified:
Environment:
openstack-ironic-inspector-5.0.0-2.el7ost.noarch



[root@undercloud-0 ~]# ls -la /var/log/ironic-inspector/ -d                                                                                                                                   
drwxr-x---. 3 ironic-inspector ironic-inspector 4096 Mar 20 03:40 /var/log/ironic-inspector/

Comment 6 errata-xmlrpc 2017-05-17 20:06:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.